
Runtime Infrastructure - Support #2991

Support # 2696 (New): security review

ensure that all XML parsing is done securely

02/11/2016 09:47 AM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 02/11/2016 09:48 AM - Greg Shah

https://blog.detectify.com/2014/04/11/how-we-got-read-access-on-googles-production-servers/

https://www.owasp.org/index.php/XML_External_Entity_%28XXE%29_Processing

#2 - 02/11/2016 09:50 AM - Greg Shah

A useful quote from one of the above articles:

"Java applications using XML libraries are particularly vulnerable to XXE because the default settings for most Java XML parsers is to have XXE

enabled. To use these parsers safely, you have to explicitly disable XXE in the parser you use."

#3 - 02/11/2016 09:56 AM - Greg Shah

- Tracker changed from Bug to Support
